Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("CRM")> _
Public Class CRM_Opportunities_Probability
    Inherits BaseObject
    Private _ShortName As String
    Private _Probability As Long
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <RuleRequiredField("CRM_Opportunities_Probability-ShortName", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <RuleRange("CRM_Opportunities_Probability-Probability", DefaultContexts.Save, 0, 100)> _
    Property Probability As Long
        Get
            Return _Probability
        End Get
        Set(value As Long)
            SetPropertyValue("Probability", _Probability, value)
        End Set
    End Property
End Class
